#ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

#CROSS_COMPILE          := $(CURDIR)/prebuilts/gcc/linux-x86/arm/arm-eabi-4.8/bin/arm-eabi-
CROSS_COMPILE          := $(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.8/bin/armv7a-cros-linux-gnueabi-

TARGET_LINUXPATH       := $(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL := $(PRODUCT_OUT)/kernel

DEMO_KEY_MODULE  := $(LOCAL_PATH)/demo_key.ko
DEMO_KEY_SUBDIRS := $(CURDIR)/$(LOCAL_PATH)

DEMO_KEY_SOURCE_FILES := $(addprefix $(DEMO_KEY_SUBDIRS)/, \
	demo_key.c \
)

DEMO_KEY_CLEANUP := $(addprefix $(DEMO_KEY_SUBDIRS)/, \
	*.o \
	.*cmd \
	.tmp_versions \
	demo_key.mod.c \
	demo_key.mod.o \
	Module.symvers \
	modules.order \
)

$(DEMO_KEY_MODULE): $(DEMO_KEY_SOURCE_FILES) $(TARGET_PREBUILT_KERNEL)
	make \
		ARCH=arm \
		CROSS_COMPILE=$(CROSS_COMPILE) \
		-C $(TARGET_LINUXPATH) \
		SUBDIRS=$(DEMO_KEY_SUBDIRS) \
		$(DEMO_KEY_KERNEL_MODULE_MAKE_OPT) \
		modules
	$(CROSS_COMPILE)strip --strip-unneeded $(DEMO_KEY_MODULE)
	rm -rf $(DEMO_KEY_CLEANUP)


LOCAL_MODULE := demo_key.ko
LOCAL_MODULE_TAGS := debug
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES := demo_key.ko

include $(BUILD_PREBUILT)

#endif
